# 17. Запит: Отримати "SoilDatasets"

Отримати всі "SoilDatasets" для вибраного "Field". Набори даних можна отримати за допомогою загальних GraphQL-запитів, таких як `getFarms` та `getFields` з пов'язаного "Field".&#x20;

{% hint style="warning" %}
"SoilDataset" має бути завантажений заздалегідь.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #pattern "<OperationType> <YYYY-mm-DD>"
        operationId #if exists
        number #загальна кількість геофічних об'єктів
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #повні дані по кожному атрибуту
          name #посилання на статистику >> атрибут
          transliteratedName
          fullName #якщо існує
          unit #якщо існує
        }

        createdDate #дата та час створення об'єкта в GeoPard
        updatedDate #дата та час останнього оновлення
        operationType
        operationId
        operationFileDate #дата та час створення файлу
        operationStartDate #початок операції
        
        statistics { #розподіл статистики для кожного ґрунтового атрибуту
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        назва  
        operationId #if exists 
        number #загальна кількість геофічних об'єктів 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #посилання на статистику >> атрибут
          transliteratedName
          fullName #якщо існує
          unit #якщо існує
        }
      
        createdDate #дата та час створення в GeoPard
        updatedDate #дата та час останнього оновлення в GeoPard
        operationFileDate #дата та час створення файлу (якщо існує)
        operationStartDate #початок операції (якщо існує)
      
        statistics { #статистичний розподіл для кожного ґрунтового атрибуту
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #візуальне представлення
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/17.-zapit-otrimati-soildatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
